Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001244 [1003.1(2016)/Issue7+TC2] System Interfaces Comment Clarification Requested 2019-04-03 22:02 2019-12-04 11:56
Reporter wahern View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Applied  
Name William Ahern
Organization
User Reference
Section openlog
Page Number 695
Line Number 23775-23796
Interp Status Approved
Final Accepted Text Note: 0004454
Summary 0001244: ident string lifetime not specified
Description It's not stated that the ident string value may be used directly and therefore must remain valid after the call to openlog (until the next openlog?). Most implementations I've checked seem to use it directly--glibc 2.29, OpenBSD 6.4, and (per man page) Solaris 11.4. At least one makes a copy--musl libc 1.1.21 (silently truncating).

This came to my attention when writing bindings for a scripting language.
Desired Action Amend to explicitly state that the lifetime of the ident string object must persist for the lifetime of the process or until (immediately after?) the next call to openlog.
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004454)
geoffclare (manager)
2019-06-27 15:44

Interpretation response
------------------------
The standard is unclear on this issue, and no conformance distinction can be made between alternative implementations based on this. This is being referred to the sponsor.

Rationale:
-------------
None.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------

On page 695 line 23775 section closelog(), change:
The ident argument is a string that is prepended to every message.
to:
The ident argument is a pointer to a null-terminated identifier that shall be prepended (without the null terminator) to every message. The application shall ensure that the string pointed to by ident remains valid during the syslog() calls that will prepend this identifier; however, it is unspecified whether changes made to the string will change the identifier prepended by later syslog() calls.
(0004603)
agadmin (administrator)
2019-10-07 15:16

Interpretation proposed: 7 October 2019
(0004648)
agadmin (administrator)
2019-11-11 12:20

Interpretation Approved: 11 Nov 2019

- Issue History
Date Modified Username Field Change
2019-04-03 22:02 wahern New Issue
2019-04-03 22:02 wahern Name => William Ahern
2019-04-03 22:02 wahern Section => openlog
2019-04-03 22:02 wahern Page Number => (page or range of pages)
2019-04-03 22:02 wahern Line Number => (Line or range of lines)
2019-06-24 16:18 Don Cragun Page Number (page or range of pages) => 695
2019-06-24 16:18 Don Cragun Line Number (Line or range of lines) => 23775-23796
2019-06-24 16:18 Don Cragun Interp Status => ---
2019-06-27 15:44 geoffclare Note Added: 0004454
2019-06-27 15:45 geoffclare Interp Status --- => Pending
2019-06-27 15:45 geoffclare Final Accepted Text => Note: 0004454
2019-06-27 15:45 geoffclare Status New => Interpretation Required
2019-06-27 15:45 geoffclare Resolution Open => Accepted As Marked
2019-06-27 15:46 geoffclare Tag Attached: tc3-2008
2019-10-07 15:16 agadmin Interp Status Pending => Proposed
2019-10-07 15:16 agadmin Note Added: 0004603
2019-11-11 12:20 agadmin Interp Status Proposed => Approved
2019-11-11 12:20 agadmin Note Added: 0004648
2019-12-04 11:56 geoffclare Status Interpretation Required => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker